Work List
Interface description: Get the list of works of the specified platform account
curl --request GET \
--url https://aitoearn.cn/api/v2/channels/works/{platform} \
--header 'X-Api-Key: <api-key>'import requests
url = "https://aitoearn.cn/api/v2/channels/works/{platform}"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://aitoearn.cn/api/v2/channels/works/{platform}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://aitoearn.cn/api/v2/channels/works/{platform}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"code": 0,
"message": "Request succeeded",
"data": {
"platform": "douyin",
"items": {
"platformWorkId": "string",
"contentMode": "article2",
"title": "string",
"description": "string",
"url": "string",
"coverUrl": "string",
"publishedAt": "2026-07-02T12:00:00.000Z",
"authorName": "string",
"authorPlatformUid": "string",
"status": "string",
"metrics": {
"viewCount": 1,
"playCount": 1,
"impressionCount": 1,
"reachCount": 1,
"likeCount": 1,
"collectCount": 1,
"commentCount": 1,
"shareCount": 1,
"saveCount": 1,
"clickCount": 1,
"engagementCount": 1,
"watchTimeSeconds": 1
}
},
"pagination": {
"mode": "string",
"hasNext": true,
"hasPrevious": true,
"limit": 1,
"nextCursor": "string",
"previousCursor": "string"
}
}
}Authorizations
Need to get API Key from AiToEarn. Click to go to "API Key Obtaining Tutorial".
Path Parameters
Platform identification
Query Parameters
Account ID
1Response
The request has been processed by the service. Business success is determined by whether the response body has code === 0.
Business status code. 0 means success; non-zero means a business error.
Response message.
Hide child attributes
Hide child attributes
platform
douyin, xhs, wxSph, KWAI, youtube, wxGzh, bilibili, twitter, tiktok, facebook, instagram, threads, pinterest, linkedin, google_business Work List
Hide child attributes
Hide child attributes
Platform work ID
Work content type
article2, article, video Title of work
Description of work
Work link
Cover URL
Release time
Author name
Author platform UID
Work status
Work indicators
Hide child attributes
Hide child attributes
Number of views
Number of plays
Exposures
Reach count
Number of likes
Number of collections
Number of comments
Number of shares
Number of saves
Clicks
Number of interactions
Watch time in seconds
Paginated results
- Option 1
- Option 2
- Option 3
Hide child attributes
Hide child attributes
Paging mode
cursor Is there a next page?
Is there a previous page?
Quantity per page
0 < x <= 9007199254740991Next page cursor
Previous page cursor
Request ID.
Error response timestamp in Unix milliseconds.
curl --request GET \
--url https://aitoearn.cn/api/v2/channels/works/{platform} \
--header 'X-Api-Key: <api-key>'import requests
url = "https://aitoearn.cn/api/v2/channels/works/{platform}"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://aitoearn.cn/api/v2/channels/works/{platform}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://aitoearn.cn/api/v2/channels/works/{platform}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"code": 0,
"message": "Request succeeded",
"data": {
"platform": "douyin",
"items": {
"platformWorkId": "string",
"contentMode": "article2",
"title": "string",
"description": "string",
"url": "string",
"coverUrl": "string",
"publishedAt": "2026-07-02T12:00:00.000Z",
"authorName": "string",
"authorPlatformUid": "string",
"status": "string",
"metrics": {
"viewCount": 1,
"playCount": 1,
"impressionCount": 1,
"reachCount": 1,
"likeCount": 1,
"collectCount": 1,
"commentCount": 1,
"shareCount": 1,
"saveCount": 1,
"clickCount": 1,
"engagementCount": 1,
"watchTimeSeconds": 1
}
},
"pagination": {
"mode": "string",
"hasNext": true,
"hasPrevious": true,
"limit": 1,
"nextCursor": "string",
"previousCursor": "string"
}
}
}
